Folliow Un projet de site web réaliser en PHP

Loading...
Searching...
No Matches
CategoryModel Class Reference
Inheritance diagram for CategoryModel:

## Public Member Functions
| findAllCategory (int $intLimit=0)
| insertCategory (object $objCategory)
| deleteCategory (object $objCategory)
| editCategory (object $objCategory)

## Additional Inherited Members
Protected Attributes inherited from MotherModel
| $_db

## Detailed Description

Traitement des requêtes pour les catégories

Author
  : Laura

## Member Function Documentation

## ◆ deleteCategory()

deleteCategory | ( | object | $objCategory | ) |

fonction de suppression d'une catégorie dans la bdd

Parameters

  object | $objCategory | l'objet catégorie

Returns
  bool Est-ce que la requête s'est bien passée

## ◆ editCategory()

editCategory | ( | object | $objCategory | ) |

fonction de modification d'une catégorie dans la bdd

Parameters

  object | $objCategory | l'objet catégorie

Returns
  bool Est-ce que la requête s'est bien passée

## ◆ findAllCategory()

findAllCategory | ( | int | $intLimit = 0 | ) |

Fonction de récupération des catégories

Parameters

  int | $intLimit |

Returns
  array

## ◆ insertCategory()

insertCategory | ( | object | $objCategory | ) |

fonction d'insertion d'une nouvelle catégorie dans la bdd

Parameters

  object | $objCategory | l'objet catégorie

Returns
  bool Est-ce que la requête s'est bien passée

The documentation for this class was generated from the following file:

- C:/Users/Guill/projet_php/models/CategoryModel.php